Fatal Error after update to Wordpress 5.1 - Theme GreatMag 1.0

Hi all,
I had a problem when I updated the version of Wordpress to the 5.1
Data:

Server: Linux
Php: 5.6
Theme: GratMag 1.0

Fatal error : Call to a member function hook() on null in /home/mhd-01/www.*.it/htdocs/wp-content/themes/GreatMag/header.php on line 6

The problem seems to hooks call into header.php

Any advices to solve, please?

Hello,

Please make sure that your server meets WordPress requirements:
https://wordpress.org/about/requirements/

And please provide a link to your website if you still need help.

Kind Regards, Roman.

1 Like

Hi Roman, thanks for your support.
So:
If I try to set php version greater the problem become:

I think that problems was given by hook call into old version of GreatMag (the version 1.0) because into GreatMag 1.0.7 seems ok. But the client want to set the older template.
So… any suggestion to fix the older code into template, please :slight_smile: ?

Oh, I don’t think that it’s a good idea to use old version :slight_smile:

Anyway, it looks like this issue requires close inspection. As an option, you can contact Codeable for this kind of service, or find a reputable freelancer on Upwork.

Kind Regards, Roman.